Bug 375961 - i am getting memory errors
i am getting memory errors
Product: Fedora
Classification: Fedora
Component: memtest86 (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Depends On:
  Show dependency treegraph
Reported: 2007-11-11 09:22 EST by steed wells
Modified: 2008-05-06 15:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:48:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Summary SELinux is preventing /usr/lib/firefox- from loading /usr/lib/firefox- which requires text relocation. Detailed Description The /usr/lib (2.20 KB, text/plain)
2007-11-11 09:22 EST, steed wells
no flags Details

  None (edit)
Description steed wells 2007-11-11 09:22:09 EST
Description of problem:Summary
    SELinux is preventing /usr/lib/firefox- from loading
    /usr/lib/firefox- which requires text relocation.

Detailed Description
    The /usr/lib/firefox- application attempted to load
    /usr/lib/firefox- which requires text relocation.
    This is a potential security problem. Most libraries do not need this
    permission. Libraries are sometimes coded incorrectly and request this
    permission.  The http://people.redhat.com/drepper/selinux-mem.html web page
    explains how to remove this requirement.  You can configure SELinux
    temporarily to allow /usr/lib/firefox- to use
    relocation as a workaround, until the library is fixed. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Allowing Access
    If you trust /usr/lib/firefox- to run correctly, you
    can change the file context to textrel_shlib_t. "chcon -t textrel_shlib_t
    /usr/lib/firefox-" You must also change the default
    file context files on the system in order to preserve them even on a full
    relabel.  "semanage fcontext -a -t textrel_shlib_t

    The following command will allow this access:
    chcon -t textrel_shlib_t /usr/lib/firefox-

Additional Information        

Source Context                unconfined_u:system_r:unconfined_t:s0
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/firefox- [ file ]
Affected RPM Packages         firefox- [application]
Policy RPM                    selinux-policy-3.0.8-44.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.allow_execmod
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain #1 SMP
                              Tue Oct 30 13:55:12 EDT 2007 i686 athlon
Alert Count                   16
First Seen                    Sat 10 Nov 2007 01:52:00 PM EST
Last Seen                     Sun 11 Nov 2007 09:05:18 AM EST
Local ID                      e3b4077d-eaf4-434d-bdaf-9e2f7eab0993
Line Numbers                  

Raw Audit Messages            

avc: denied { execmod } for comm=firefox-bin dev=dm-0 egid=500 euid=500
exe=/usr/lib/firefox- exit=-13 fsgid=500 fsuid=500 gid=500
items=0 path=/usr/lib/firefox- pid=4233
scontext=unconfined_u:system_r:unconfined_t:s0 sgid=500
subj=unconfined_u:system_r:unconfined_t:s0 suid=500 tclass=file
tcontext=system_u:object_r:lib_t:s0 tty=(none) uid=500

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 steed wells 2007-11-11 09:22:09 EST
Created attachment 254661 [details]
    SELinux is preventing /usr/lib/firefox- from loading
    /usr/lib/firefox- which requires text relocation.

Detailed Description
    The /usr/lib

Detailed Description
    The /usr/lib
Comment 2 Bug Zapper 2008-04-04 03:40:15 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:48:08 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.